lyskom-server (2.1.2-18) unstable; urgency=medium

  * Incorporate NMU 2.1.2-16.1.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 05 Oct 2025 14:40:45 +0200

lyskom-server (2.1.2-17) unstable; urgency=medium

  * Update regex library internal prototypes with arguments and reorder
    type definitions and prototypes (Closes: #1097343).
  * Drop dependency on system-log-daemon (Closes: #1072027).
  * Use dh_auto_configure to pass the correct host and build triplets to
    ./configure (Closes: #986990).
  * Upgrade to Debhelper compat level 13 and fix dependencies (Closes: #1105537).
  * Update Lintian overrides.
  * Convert po files to UTF-8.
  * Replace dependency on ancient lsb-base with a pre-dependency on init-system-helpers.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 05 Oct 2025 13:27:56 +0200

lyskom-server (2.1.2-16.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: bumped Standards-Version to 4.7.2.
  * debian/po/es.po: updated (Closes: #1017458).
  * debian/po/da.po: updated (Closes: #923144).
  * debian/po/pt_BR.po: updated (Closes: #1028015).

 -- Paulo Henrique de Lima Santana (phls) <phls@debian.org>  Thu, 13 Mar 2025 16:47:14 -0300

lyskom-server (2.1.2-16) unstable; urgency=low

  * Update Russian Debconf translations (Closes: #920891). Thanks to Lev
    Lamberov <dogsleg@debian.org>.

 -- Magnus Holmgren <holmgren@debian.org>  Wed, 30 Jan 2019 21:43:04 +0100

lyskom-server (2.1.2-15) unstable; urgency=low

  * Avoid MAXHOSTNAMELEN to possibly make building work on Hurd.
  * Update Debconf template translations:
    * Português from Américo Monteiro (Closes: #852644).
    * Nederlands from Frans Spiesschaert (Closes: #855474).
    * Italiano from Beatrice Torracca  (Closes: #860379).
    * Français from Alban Vidal (Closes: #865991).
    * Deutsch from Helge Kreutzmann (Closes: #906171).
  * Remove dependency on obsolete package dh-systemd.
  * Remove redundant dependency on dh-autoreconf.
  * Move git repository to salsa.debian.org.
  * Change Priority: extra to optional.
  * Override Lintian warnings about unsplit language choices and
    translated default language, as well as ancient libtool in unused
    liboop bundle.
  * Increase Standards-Version to 4.2.1

 -- Magnus Holmgren <holmgren@debian.org>  Mon, 05 Nov 2018 23:20:45 +0100

lyskom-server (2.1.2-14) unstable; urgency=low

  * Switch to source format 3.0 (quilt) and use dh_autoreconf.
    Build-depend on texinfo because rebuild makefiles demand it.
  * Let dh_installinit install /etc/default/lyskom-server.
  * Update VCS URLs.
  * ignore_missing_python.patch: Ignore absence of python interpreter,
    only used for rebuilding documentation.
  * debian.patch: Don't patch db-crypt/db/Makefile.* and don't run
    distclean in that directory separately since we exclude it from
    SUBDIRS in ./Makefile.am.
  * no_bundles.patch (new): Exclude bundled libadns and liboop from
    build. Use new oop_signal_new_flags() in liboop 1.0.1.
  * Use dpkg-buildflags, remove redundant configure options, and send
    DESTDIR to make install on the command line, as usual, instead of
    through the environment.
  * yyerror.patch (new): Avoid error when compiling with
    -Werror=format-security.
  * Add Italian debconf translations (Closes: #778385). Thanks to Beatrice
    Torracca and the Italian localization team.
  * lyskom-server.postrm: Remove hard-coded path to deluser.
  * Drop dependencies on flex and bison since we don't normally regenerate
    any parser code.
  * Add systemd service unit, which runs lyskomd directly as a simple
    daemon.  For consistency, the SysV init script now does start lyskomd
    rather than just signal that it should be started.
  * On initial installation, prompt for and set an initial password so
    that lyskomd kan be safely started right away.
  * Add missing lsb-base dependency.
  * debian/rules: Don't run dh_installinfo since "make install" installs
    info documents already.
  * debian/rules, lyskom-server.postinst: Also install initial number.txt.
  * Switch to Debhelper compat level 10.
  * README.Debian: Add warning about weak security.
  * Bump Standards-Version to 3.9.8.

 -- Magnus Holmgren <holmgren@debian.org>  Mon, 23 Jan 2017 22:45:00 +0100

lyskom-server (2.1.2-13) unstable; urgency=low

  * New maintainer.
  * Rename debian/lyskom-server.copyright debian/copyright as a source
    package should have a debian/copyright file.
  * Create /var/run/lyskom-server in the init script instead of shipping
    it with the package (Closes: #689898). Thanks Thomas Goirand.
  * Drop the $startonboot variable, which is rather pointless since
    lyskomd is actually started via cron, is disabled there by default,
    and will start regardless of $startonboot because the status file
    won't exist.
  * Fix LSB header in the init script: add $remote_fs and move $local_fs
    to Required-Start/Required-Stop; delete commas.
  * Add dependency on rsyslog | system-log-daemon, since the LSB header
    indicates that lyskomd requires a syslog facility.
  * Rework and simplify lyskom-server.postinst:
    * Use dpkg-statoverride to set ownership of data and log directories.
    * Don't nullify errors; the package should be left in an unconfigured
      state in such cases. Remove sanity checks.
    * Simply call adduser with --quiet instead of checking whether the
      lyskom user already exists.
    * Set stricter modes on the directories.
  * Don't delete /var/run/lyskom-server/status in the init script. It is
    created by komrunning when shutting down lyskomd to keep updateLysKOM
    from starting lyskomd again.
  * lyskom-server.postrm: As recommended by policy, don't delete log files
    until on purge. Also, simply rm -rf /var/lib/lyskom-server
    /var/log/lyskom-server.
  * Add dependendy on cron | cron-daemon, since that's how lyskomd is
    started.
  * debian/rules: Add build-indep and build-arch targets.

 -- Magnus Holmgren <holmgren@debian.org>  Thu, 15 Nov 2012 09:26:58 +0100

lyskom-server (2.1.2-12) unstable; urgency=low

  * Added Danish translation of Debconf templates.
   (Closes: Bug#630370)

 -- Peter Krefting <peterk@debian.org>  Mon, 05 Sep 2011 08:30:00 +0100

lyskom-server (2.1.2-11) unstable; urgency=low

  * Added Japanese and Russian translations of Debconf templates.
   (Closes: Bug#559387, #560714)
  * Fix syntax error and remove more generated files in postrm script.
   (Closes: Bug#559742)

 -- Peter Krefting <peterk@debian.org>  Tue, 19 Jan 2010 22:00:00 +0100

lyskom-server (2.1.2-10) unstable; urgency=low

  * Also update the second copies config.guess and config.sub.
   (Closes: Bug#537070)

 -- Peter Krefting <peterk@debian.org>  Wed, 15 Jul 2009 07:15:00 +0100

lyskom-server (2.1.2-9) unstable; urgency=low

  * Always use current config.guess and config.sub when building.
   (Closes: Bug#536259)
  * Updated init.d script to create /var/run/lyskom-server if it does not
    already exist and not to fail if /etc/default/lyskom-server has been
    removed.

 -- Peter Krefting <peterk@debian.org>  Sat, 11 Jul 2009 16:15:00 +0100

lyskom-server (2.1.2-8) unstable; urgency=low

  * Merge fixes from Ubuntu:
    - debian/rules: Fix bashism, and remove .gz suffix as the files
      in question are not yet compressed.
   (Closes: Bug#459184)

 -- Peter Karlsson <peterk@debian.org>  Sat, 05 Jan 2008 16:15:00 +0100

lyskom-server (2.1.2-7) unstable; urgency=low

  * Added Portuguese translation of Debconf templates.
   (Closes: Bug#433040)
  * Added support for DEB_BUILD_OPTIONS.

 -- Peter Karlsson <peterk@debian.org>  Thu, 23 Aug 2007 12:45:00 +0100

lyskom-server (2.1.2-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Only run deluser if it's available in lyskom-server.postrm (Closes:
    #431528).

 -- Mario Iseli <mario@debian.org>  Wed, 08 Aug 2007 14:51:56 +0200

lyskom-server (2.1.2-6) unstable; urgency=low

  * Modernize debhelper usage and updated to latest policy.
  * Added Spanish translation of Debconf templates.
   (Closes: Bug#419223)
  * Updated init.d script to include LSB info block.

 -- Peter Karlsson <peterk@debian.org>  Sat, 19 May 2007 22:30:00 +0100

lyskom-server (2.1.2-5) unstable; urgency=low

  * Modified debconf dependency to also list debconf-2.0).
   (Closes: Bug#332014)
  * Updated config.sub and config.guess.
   (Closes: Bug#333592)

 -- Peter Karlsson <peterk@debian.org>  Tue, 18 Oct 2005 19:30:00 +0100

lyskom-server (2.1.2-4) unstable; urgency=low

  * Added Vietnamese translation of Debconf templates.
   (Closes: Bug#312642)
  * Fixed various lintian errors and warnings.

 -- Peter Karlsson <peterk@debian.org>  Sun, 31 Jul 2005 21:20:00 +0100

lyskom-server (2.1.2-3) unstable; urgency=low

  * Added Czech translation of Debconf templates.
   (Closes: Bug#289283)

 -- Peter Karlsson <peterk@debian.org>  Mon, 10 Jan 2005 18:00:00 +0100

lyskom-server (2.1.2-2) unstable; urgency=low

  * Remove redundant set of info control files
   (Closes: Bug#214742)

 -- Peter Karlsson <peterk@debian.org>  Fri, 17 Oct 2003 21:45:00 +0100

lyskom-server (2.1.2-1) unstable; urgency=low

  * New upstream release:
   - IPv6 support.
   - Idle clients are now disconnected.
   - Avoid reusing text, person and conference numbers after a crash.
   - Protocol changes and extensions.
   - Configuration file name has changed to /etc/lyskom-server/lyskomd.conf
    (For more information, see upstream NEWS file)
  * Changed location of some binaries to match new upstream locations.
  * Added Dutch translation of Debconf templates.
   (Closes: Bug#210815)

 -- Peter Karlsson <peterk@debian.org>  Sat, 27 Sep 2003 16:45:00 +0100

lyskom-server (2.0.7-3) unstable; urgency=medium

  * Added Brazilian Portuguese and French translation of Debconf templates.
   (Closes: Bug#198364, #200360)
  * Removed annoying use of a debconf note and put the relevant information
    in the README.Debian file instead.

 -- Peter Karlsson <peterk@debian.org>  Sun, 13 Jul 2003 14:30:00 +0100

lyskom-server (2.0.7-2) unstable; urgency=medium

  * Applied upstream patch to protect against denial of service problem
    found by Calle Dybedahl.
  * Converted Debconf templates to use PO format for translations.

 -- Peter Karlsson <peterk@debian.org>  Mon, 26 May 2003 18:15:00 +0100

lyskom-server (2.0.7-1) unstable; urgency=low

  * New upstream release:
   - Broadcasts a message if server fails to save the database.
   - Enhanced documentation.
   - Various bugfixes.
    (For more information, see upstream NEWS file)

 -- Peter Karlsson <peterk@debian.org>  Tue,  5 Nov 2002 21:20:00 +0100

lyskom-server (2.0.6-1woody1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Apply upstream patch to fix denial of service
    (lyskom-server-2.0.7-find-next-text-DoS.patch)

 -- Matt Zimmerman <mdz@debian.org>  Tue, 13 May 2003 23:53:17 -0400

lyskom-server (2.0.6-1) unstable; urgency=low

  * New upstream release:
   - New and modified aux-items.
   - Enhanced documentation.
   - Various bugfixes (Closes: Bug#130406).
    (For more information, see upstream NEWS file)

 -- peter karlsson <peterk@debian.org>  Tue, 02 Apr 2002 19:00:00 +0100

lyskom-server (2.0.5-3) unstable; urgency=low

  * Added German debconf templates, thanks to Sebastian Feltel.
   (Closes: Bug#118045)
  * Removed unnecessary debconf note that would probably just annoy people
    installing many packages at once.
  * Fixed /etc/cron.d/lyskom-server file so that the updateLysKOM will
    actually be run (but it is still deactivated by default).
  * Fixed spelling error in the Swedish templates.

 -- peter karlsson <peterk@debian.org>  Fri, 09 Nov 2001 19:15:00 +0100

lyskom-server (2.0.5-2) unstable; urgency=low

  * Moved configuration out of init script to /etc/default/lyskom-server
    to comply with Debian policy.

 -- peter karlsson <peterk@debian.org>  Wed, 31 Oct 2001 21:30:00 +0100

lyskom-server (2.0.5-1) unstable; urgency=low

  * Initial Release.
   (Closes: ITP #114231)

 -- peter karlsson <peterk@debian.org>  Thu, 11 Oct 2001 23:15:00 +0200
